Bug 124013 - Depends on wrong alchemist version
Depends on wrong alchemist version
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-05-22 18:17 EDT by Daniel Tschan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.6.99-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-25 08:10:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Tschan 2004-05-22 18:17:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
While ugrading a full installation of Fedora Core 1 to Fedora Core 2 I
noticed that the post scriptlet of the system-config-printer package
failed with the following message:

Traceback (most recent call last):
  File "/usr/share/printconf/util/updateconf.py", line 29, in ?
    import printconf_conf as conf
  File "/usr/share/printconf/util/printconf_conf.py", line 580, in ?
    from pyalchemist import *
ImportError: No module named pyalchemist

This is because system-config-printer uses python 2.3 but requires
alchemist >= 1.0.12 which may use python 2.2. The required version of
alchemist should be increased to a version that uses python 2.3.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. On a Fedora Core 1 installation upgrade system-config-printer
before alchemist

Actual Results:  Post scriptlet failed

Expected Results:  Should tell me that it requires a newer version of

Additional info:
Comment 1 Tim Waugh 2004-05-24 07:20:39 EDT
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.